打开/关闭菜单
打开/关闭外观设置菜单
打开/关闭个人菜单
未登录
未登录用户的IP地址会在进行任意编辑后公开展示。

MediaWiki:Common.css:修订间差异

MediaWiki界面页面
DGCK81LNN留言 | 贡献
无编辑摘要
LNNBot留言 | 贡献
导入1个版本:​从分支站同步更改
标签自动同步
 
(未显示2个用户的27个中间版本)
第2行: 第2行:
@font-face {
@font-face {
font-family: "LNNCrypt";
font-family: "LNNCrypt";
src: url("https://cdn.jsdelivr.net/gh/DGCK81LNN/bootstrap-lnn@c0d4c78907b4ebabc6d5d34abd404abf64338816/fonts/LNNCrypt.woff") format('woff');
src: url("https://fastly.jsdelivr.net/gh/DGCK81LNN/bootstrap-lnn@c0d4c78907b4ebabc6d5d34abd404abf64338816/fonts/LNNCrypt.woff") format('woff');
unicode-range: U+E000-E03F;
unicode-range: U+E000-E03F;
font-display: block;
font-display: block;
第8行: 第8行:
@font-face {
@font-face {
font-family: "Zhunghua";
font-family: "Zhunghua";
src: url("https://cdn.jsdelivr.net/gh/DGCK81LNN/bootstrap-lnn@c0d4c78907b4ebabc6d5d34abd404abf64338816/fonts/Zhunghua@0.5.woff2") format("woff2"),
src: url("https://fastly.jsdelivr.net/gh/DGCK81LNN/bootstrap-lnn@c0d4c78907b4ebabc6d5d34abd404abf64338816/fonts/Zhunghua@0.5.woff2") format("woff2"),
url("https://cdn.jsdelivr.net/gh/DGCK81LNN/bootstrap-lnn@c0d4c78907b4ebabc6d5d34abd404abf64338816/fonts/Zhunghua@0.5.woff") format("woff");
url("https://fastly.jsdelivr.net/gh/DGCK81LNN/bootstrap-lnn@c0d4c78907b4ebabc6d5d34abd404abf64338816/fonts/Zhunghua@0.5.woff") format("woff");
font-display: block;
font-display: block;
}
}
@font-face {
@font-face {
font-family: "XEGOEPUAall";
font-family: "XEGOEPUAall";
src: url("https://cdn.jsdelivr.net/gh/DGCK81LNN/bootstrap-lnn@c0d4c78907b4ebabc6d5d34abd404abf64338816/fonts/XEGOEPUAall.woff2") format("woff2"),
src: url("https://fastly.jsdelivr.net/gh/DGCK81LNN/bootstrap-lnn@c0d4c78907b4ebabc6d5d34abd404abf64338816/fonts/XEGOEPUAall.woff2") format("woff2"),
url("https://cdn.jsdelivr.net/gh/DGCK81LNN/bootstrap-lnn@c0d4c78907b4ebabc6d5d34abd404abf64338816/fonts/XEGOEPUAall.woff") format("woff");
url("https://fastly.jsdelivr.net/gh/DGCK81LNN/bootstrap-lnn@c0d4c78907b4ebabc6d5d34abd404abf64338816/fonts/XEGOEPUAall.woff") format("woff");
font-display: block;
}
@font-face {
font-family: "Unifont LNNPUA";
src: url("https://fastly.jsdelivr.net/npm/@dgck81lnn/unifont-lnnpua/dist/UnifontLNNPUA.woff2") format('woff2');
unicode-range: U+E000-E27F;
font-display: block;
font-display: block;
}
}
第21行: 第27行:
:root {
:root {
--font-family-dflt:
--font-family-dflt:
-apple-system, BlinkMacSystemFont, "Segoe UI", system-ui, Roboto,
-apple-system, 'BlinkMacSystemFont', "Segoe UI", system-ui, 'Roboto',
"Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif,
"Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif,
var(--font-family-emoji);
var(--font-family-emoji);
--font-family-hans:
--font-family-hans:
'Source Han Sans SC', 'Source Han Sans CN', 'PingFang SC',
'Source Han Sans SC', 'Source Han Sans CN', 'PingFang SC',
'Microsoft YaHei UI', 'Microsoft YaHei', 'DengXian', 'Noto Sans SC',
'Microsoft YaHei UI', 'Microsoft YaHei', '微软雅黑', 'DengXian', '等线',
'Noto Sans CJK SC', 'Droid Sans Fallback', sans-serif,
'Noto Sans SC', 'Noto Sans CJK SC', 'Droid Sans Fallback', sans-serif,
var(--font-family-emoji);
var(--font-family-emoji);
--font-family-dflt-serif:
--font-family-dflt-serif:
'Roboto Serif', STSong, NSimSun, SimSun, 'Linux Libertine', Georgia,
'Roboto Serif', 'STSong', 'NSimSun', 'SimSun', 'Linux Libertine',
Times, 'Source Serif Pro', serif, var(--font-family-emoji);
'Georgia', 'Times', 'Source Serif Pro', serif, var(--font-family-emoji);
--font-family-hant:
--font-family-hant:
'Source Han Sans TC', 'Source Han Sans TW',
'Source Han Sans TC', 'Source Han Sans TW',
第38行: 第44行:
'Noto Sans HC', 'Noto Sans CJK HC',
'Noto Sans HC', 'Noto Sans CJK HC',
'PingFang TC', 'LiHei Pro',
'PingFang TC', 'LiHei Pro',
'Microsoft JhengHei UI', 'Microsoft JhengHei', sans-serif;
'Microsoft JhengHei UI', 'Microsoft JhengHei', '微軟正黑體', sans-serif;
--font-family-hant-serif:
--font-family-hant-serif:
'Source Han Serif TC', 'Source Han Serif TW',
'Source Han Serif TC', 'Source Han Serif TW',
第44行: 第50行:
'Source Han Serif HC', 'Source Han Serif HK',
'Source Han Serif HC', 'Source Han Serif HK',
'Noto Serif HC', 'Noto Serif CJK HC',
'Noto Serif HC', 'Noto Serif CJK HC',
PMingLiU, MingLiU, serif;
'PMingLiU', 'MingLiU', serif;
--font-family-dflt-monospace:
--font-family-dflt-monospace:
'Sarasa Mono SC', 'Sarasa Term SC',
'Sarasa Mono SC', 'Sarasa Term SC',
第50行: 第56行:
'Sarasa Fixed SC', 'Sarasa Fixed Slab SC',
'Sarasa Fixed SC', 'Sarasa Fixed Slab SC',
'Noto Sans Mono CJK SC',
'Noto Sans Mono CJK SC',
'Roboto Mono', Menlo, Consolas, 'Liberation Mono', 'Fira Code',
'Roboto Mono', 'Menlo', 'Consolas', 'Liberation Mono', 'Fira Code',
'Courier New', monospace, var(--font-family-hans);
'Courier New', var(--font-family-hans), monospace;
--font-family-emoji: "Apple Color Emoji", "Segoe UI Emoji",
--font-family-emoji: "Apple Color Emoji", "Segoe UI Emoji",
"Segoe UI Symbol", "Noto Color Emoji";
"Segoe UI Symbol", "Noto Color Emoji";
第61行: 第67行:
--font-family-monospace: var(--font-family-dflt-monospace);
--font-family-monospace: var(--font-family-dflt-monospace);
font-synthesis: initial;
font-synthesis: initial;
font-family: var(--font-family-base);
}
.lnnblog-font-hant,
.lnnblog-font-hant-hk,
.lnnblog-font-lzh,
.lnnblog-font-hans,
.lnnblog-font-qaac,
.lnnblog-font-qaaz,
.lnnblog-font-qaax,
.lnnblog-font-lnnpua {
font-family: var(--font-family-base);
}
}
[ lang^="zh-" ][ lang$="-TW" ],
[ lang^="zh-" ][ lang$="-TW" ],
第76行: 第93行:
'Sarasa Fixed TC', 'Sarasa Fixed Slab TC',
'Sarasa Fixed TC', 'Sarasa Fixed Slab TC',
'Noto Sans Mono CJK TC',
'Noto Sans Mono CJK TC',
'Roboto Mono', Menlo, Consolas, 'Liberation Mono', 'Fira Code',
'Roboto Mono', 'Menlo', 'Consolas', 'Liberation Mono', 'Fira Code',
'Courier New', monospace, var(--font-family-hant);
'Courier New', var(--font-family-hant), monospace;
font-synthesis: initial;
font-synthesis: initial;
}
}
第100行: 第117行:
'Sarasa Fixed HC', 'Sarasa Fixed Slab HC',
'Sarasa Fixed HC', 'Sarasa Fixed Slab HC',
'Noto Sans Mono CJK HC',
'Noto Sans Mono CJK HC',
'Roboto Mono', Menlo, Consolas, 'Liberation Mono', 'Fira Code',
'Roboto Mono', 'Menlo', 'Consolas', 'Liberation Mono', 'Fira Code',
'Courier New', monospace, var(--font-family-hant);
'Courier New', var(--font-family-hant), monospace;
font-synthesis: initial;
font-synthesis: initial;
}
}
第161行: 第178行:
var(--font-family-emoji);
var(--font-family-emoji);
font-synthesis: weight;
font-synthesis: weight;
}
.lnnblog-font-lnnpua {
--font-family-base: "Unifont LNNPUA", var(--font-family-hans);
font-synthesis: none;
}
}


[ lang ] {
html {
font-family: var(--font-family-base);
font-size: 16px;
text-autospace: normal;
text-autospace: replace;
text-spacing-trim: trim-start;
}
}
pre, code, samp, kbd, tt, textarea {
pre, code, samp, kbd, tt, textarea, .lnnblog-font-monospace {
font-family: var(--font-family-monospace) !important;
font-family: var(--font-family-monospace) !important;
tab-size: 4;
tab-size: 4;
text-autospace: no-autospace;
text-spacing-trim: space-all;
}
.lnnblog-font-sans-serif {
font-family: var(--font-family-base) !important;
}
.lnnblog-font-serif {
font-family: var(--font-family-serif) !important;
}
}
#bodyContent {
#bodyContent {
font-size: unset;
font-size: unset;
font-family: unset;
font-family: unset;
}
html {
font-size: 16px;
}
}


第192行: 第220行:
padding: 0;
padding: 0;
font-size: 0.8em;
font-size: 0.8em;
line-height: 1.25;
width: 1em;
width: 1em;
text-align: center;
text-align: center;
第197行: 第226行:
border: .125rem solid transparent;
border: .125rem solid transparent;
border-right-width: .15em;
border-right-width: .15em;
border-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyIiBoZWlnaHQ9IjIiPjxwYXRoIGZpbGw9IiNkZGQiIGQ9Ik0wLDBIMUwyLDEsMSwySDBaIi8+PC9zdmc+)
border-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyIiBoZWlnaHQ9IjIiPjxwYXRoIGZpbGw9InJnYmEoMTI4LDEyOCwxMjgsLjI3KSIgZD0iTTAsMEgxTDIsMSwxLDJIMFoiLz48L3N2Zz4=)
0 1 0 0 fill / 0.5em / 0.375em 0.625em;
0 1 0 0 fill / 0.5em / 0.375em 0.625em;
}
}
第240行: 第269行:


/* 代码块 */
/* 代码块 */
pre:not(.mw-code *),
pre:not(.mw-highlight-lines *) {
.mw-code > div {
overflow-y: auto;
overflow-y: auto;
max-height: 70vh;
max-height: 70vh;
第251行: 第279行:
.lnnblog-hidebox-body > pre:first-child:last-child,
.lnnblog-hidebox-body > pre:first-child:last-child,
.lnnblog-hidebox-body > .mw-code:first-child:last-child {
.lnnblog-hidebox-body > .mw-code:first-child:last-child {
margin: -0.2em;
margin: -0.2rem;
border: none;
border: none;
border-radius: 0;
}
}


第267行: 第296行:
}
}
}
}
a:target {
:target {
animation: lnnblog-highlight 5s ease-out;
animation: lnnblog-highlight 5s ease-out;
}
}
第279行: 第308行:
.lnnblog-documentation-header {
.lnnblog-documentation-header {
border-bottom: 1px solid #aaa;
border-bottom: 1px solid #aaa;
margin-bottom: 1rem;
margin: 0.5rem 0 1rem;
}
}
.lnnblog-documentation-header-title {
.lnnblog-documentation-header-title {
font-weight: bold;
font-weight: bold;
font-size: 1.25rem;
font-size: 1.25rem;
display: inline;
margin: 0;
}
}


第312行: 第343行:
}
}
.infoBoxContent {
.infoBoxContent {
border: 1px solid #ddd;
border: 1px solid rgba(128, 128, 128, 0.25);
border-left-width: 0;
border-left-width: 0;
background: #fbfbfb;
background: rgba(128, 128, 128, 0.03);
}
}


第321行: 第352行:
.lnnblog-hidebox {
.lnnblog-hidebox {
display: inline-block;
display: inline-block;
background: #f9f9f9;
background: rgba(128, 128, 128, 0.05);
border: 1px solid #aaa;
border: 1px solid rgba(128, 128, 128, 0.67);
max-width: 100%;
max-width: 100%;
overflow: hidden;
}
}
.lnnblog-box-heading,
.lnnblog-box-heading,
.lnnblog-hidebox-heading {
.lnnblog-hidebox-heading {
background: #f2f2f2;
background: rgba(128, 128, 128, 0.06);
padding: .2rem;
padding: .2rem;
font-weight: bold;
font-weight: bold;
第334行: 第366行:
.lnnblog-box-body,
.lnnblog-box-body,
.lnnblog-hidebox-body {
.lnnblog-hidebox-body {
border-top: 1px solid #aaa;
padding: .2rem;
padding: .2rem;
overflow-wrap: break-word;
overflow-wrap: break-word;
}
}


.lnnblog-box-heading:empty ~ .lnnblog-box-body {
.lnnblog-box-heading:not(empty) + .lnnblog-box-body,
border-top: none;
.lnnblog-hidebox-body {
border-top: 1px solid rgba(128, 128, 128, 0.65);
}
}


第385行: 第417行:
/* Template:Jk */
/* Template:Jk */
.lnnblog-jk {
.lnnblog-jk {
color: rgba(0, 0, 0, 0.5);
color: #808080;
text-decoration: line-through;
text-decoration: line-through;
text-decoration-color: black;
text-decoration-color: var(--color-base, black);
}
}


/* 信息模板 */
/* 信息模板 */
.lnnblog-infobox {
.lnnblog-infobox {
background: #f9f9f9;
background: rgba(128, 128, 128, 0.05);
border: 1px solid #aaa;
border: 1px solid rgba(128, 128, 128, 0.67);
border-collapse: collapse;
border-collapse: collapse;
}
}
第405行: 第437行:
}
}
.lnnblog-infobox-titlebar {
.lnnblog-infobox-titlebar {
background: #f2f2f2;
background: rgba(228, 228, 228, 0.33);
color: black;
}
}
.lnnblog-infobox th,
.lnnblog-infobox th,

2026年5月12日 (二) 21:37的最新版本

/* 字体 */
@font-face {
	font-family: "LNNCrypt";
	src: url("https://fastly.jsdelivr.net/gh/DGCK81LNN/bootstrap-lnn@c0d4c78907b4ebabc6d5d34abd404abf64338816/fonts/LNNCrypt.woff") format('woff');
	unicode-range: U+E000-E03F;
	font-display: block;
}
@font-face {
	font-family: "Zhunghua";
	src: url("https://fastly.jsdelivr.net/gh/DGCK81LNN/bootstrap-lnn@c0d4c78907b4ebabc6d5d34abd404abf64338816/fonts/Zhunghua@0.5.woff2") format("woff2"),
		url("https://fastly.jsdelivr.net/gh/DGCK81LNN/bootstrap-lnn@c0d4c78907b4ebabc6d5d34abd404abf64338816/fonts/Zhunghua@0.5.woff") format("woff");
	font-display: block;
}
@font-face {
	font-family: "XEGOEPUAall";
	src: url("https://fastly.jsdelivr.net/gh/DGCK81LNN/bootstrap-lnn@c0d4c78907b4ebabc6d5d34abd404abf64338816/fonts/XEGOEPUAall.woff2") format("woff2"),
		url("https://fastly.jsdelivr.net/gh/DGCK81LNN/bootstrap-lnn@c0d4c78907b4ebabc6d5d34abd404abf64338816/fonts/XEGOEPUAall.woff") format("woff");
	font-display: block;
}
@font-face {
	font-family: "Unifont LNNPUA";
	src: url("https://fastly.jsdelivr.net/npm/@dgck81lnn/unifont-lnnpua/dist/UnifontLNNPUA.woff2") format('woff2');
	unicode-range: U+E000-E27F;
	font-display: block;
}

:root {
	--font-family-dflt:
		-apple-system, 'BlinkMacSystemFont', "Segoe UI", system-ui, 'Roboto',
		"Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif,
		var(--font-family-emoji);
	--font-family-hans:
		'Source Han Sans SC', 'Source Han Sans CN', 'PingFang SC',
		'Microsoft YaHei UI', 'Microsoft YaHei', '微软雅黑', 'DengXian', '等线',
		'Noto Sans SC', 'Noto Sans CJK SC', 'Droid Sans Fallback', sans-serif,
		var(--font-family-emoji);
	--font-family-dflt-serif:
		'Roboto Serif', 'STSong', 'NSimSun', 'SimSun', 'Linux Libertine',
		'Georgia', 'Times', 'Source Serif Pro', serif, var(--font-family-emoji);
	--font-family-hant:
		'Source Han Sans TC', 'Source Han Sans TW',
		'Noto Sans TC', 'Noto Sans CJK TC',
		'Source Han Sans HC', 'Source Han Sans HK',
		'Noto Sans HC', 'Noto Sans CJK HC',
		'PingFang TC', 'LiHei Pro',
		'Microsoft JhengHei UI', 'Microsoft JhengHei', '微軟正黑體', sans-serif;
	--font-family-hant-serif:
		'Source Han Serif TC', 'Source Han Serif TW',
		'Noto Serif TC', 'Noto Serif CJK TC',
		'Source Han Serif HC', 'Source Han Serif HK',
		'Noto Serif HC', 'Noto Serif CJK HC',
		'PMingLiU', 'MingLiU', serif;
	--font-family-dflt-monospace:
		'Sarasa Mono SC', 'Sarasa Term SC',
		'Sarasa Mono Slab SC', 'Sarasa Term Slab SC',
		'Sarasa Fixed SC', 'Sarasa Fixed Slab SC',
		'Noto Sans Mono CJK SC',
		'Roboto Mono', 'Menlo', 'Consolas', 'Liberation Mono', 'Fira Code',
		'Courier New', var(--font-family-hans), monospace;
	--font-family-emoji: "Apple Color Emoji", "Segoe UI Emoji",
		"Segoe UI Symbol", "Noto Color Emoji";
}
[ lang ],
.lnnblog-font-g {
	--font-family-base: var(--font-family-dflt);
	--font-family-serif: var(--font-family-dflt-serif);
	--font-family-monospace: var(--font-family-dflt-monospace);
	font-synthesis: initial;
	font-family: var(--font-family-base);
}
.lnnblog-font-hant,
.lnnblog-font-hant-hk,
.lnnblog-font-lzh,
.lnnblog-font-hans,
.lnnblog-font-qaac,
.lnnblog-font-qaaz,
.lnnblog-font-qaax,
.lnnblog-font-lnnpua {
	font-family: var(--font-family-base);
}
[ lang^="zh-" ][ lang$="-TW" ],
[ lang^="zh-" ][ lang~="-TW-" ],
[ lang^="cmn-" ][ lang$="-TW" ],
[ lang^="cmn-" ][ lang~="-TW-" ],
[ lang$="-Hant" ],
[ lang*="-Hant-" ],
.lnnblog-font-hant {
	--font-family-base: var(--font-family-hant);
	--font-family-serif: var(--font-family-hant-serif);
	--font-family-monospace:
		'Sarasa Mono TC', 'Sarasa Term TC',
		'Sarasa Mono Slab TC', 'Sarasa Term Slab TC',
		'Sarasa Fixed TC', 'Sarasa Fixed Slab TC',
		'Noto Sans Mono CJK TC',
		'Roboto Mono', 'Menlo', 'Consolas', 'Liberation Mono', 'Fira Code',
		'Courier New', var(--font-family-hant), monospace;
	font-synthesis: initial;
}
[ lang^="zh-" ][ lang$="-HK" ],
[ lang^="zh-" ][ lang~="-HK-" ],
[ lang^="cmn-" ][ lang$="-HK" ],
[ lang^="cmn-" ][ lang~="-HK-" ],
[ lang~="-Hant-" ][ lang$="-HK" ],
[ lang~="-Hant-" ][ lang$="-HK" ],
.lnnblog-font-hant-hk {
	--font-family-base:
		'Source Han Sans HC', 'Source Han Sans HK',
		'Noto Sans HC', 'Noto Sans CJK HC',
		var(--font-family-hant);
	--font-family-serif:
		'Source Han Serif HC', 'Source Han Serif HK',
		'Noto Serif HC', 'Noto Serif CJK HC',
		var(--font-family-hant-serif);
	--font-family-monospace:
		'Sarasa Mono HC', 'Sarasa Term HC',
		'Sarasa Mono Slab HC', 'Sarasa Term Slab HC',
		'Sarasa Fixed HC', 'Sarasa Fixed Slab HC',
		'Noto Sans Mono CJK HC',
		'Roboto Mono', 'Menlo', 'Consolas', 'Liberation Mono', 'Fira Code',
		'Courier New', var(--font-family-hant), monospace;
	font-synthesis: initial;
}
[ lang="lzh" ],
[ lang^="lzh-" ],
.lnnblog-font-lzh {
	--font-family-base: var(--font-family-hant);
	--font-family-serif: var(--font-family-hant-serif);
	--font-family-monospace:
		'Sarasa Mono CL', 'Sarasa Term CL',
		'Sarasa Mono Slab CL', 'Sarasa Term Slab CL',
		'Sarasa Fixed CL', 'Sarasa Fixed Slab CL',
		'Sarasa Mono TC', 'Sarasa Term TC',
		'Sarasa Mono Slab TC', 'Sarasa Term Slab TC',
		'Sarasa Fixed TC', 'Sarasa Fixed Slab TC',
		'Noto Sans Mono CJK TC',
		'Sarasa Mono HC', 'Sarasa Term HC',
		'Sarasa Mono Slab HC', 'Sarasa Term Slab HC',
		'Sarasa Fixed HC', 'Sarasa Fixed Slab HC',
		'Noto Sans Mono CJK HC',
		'Sarasa Mono SC', 'Sarasa Term SC',
		'Sarasa Mono Slab SC', 'Sarasa Term Slab SC',
		'Sarasa Fixed SC', 'Sarasa Fixed Slab SC',
		'Noto Sans Mono CJK SC',
		'Roboto Mono', Menlo, Consolas, 'Liberation Mono', 'Fira Code',
		'Courier New', monospace, var(--font-family-hant);
	font-synthesis: initial;
}
[ lang$="-Hans" ],
[ lang*="-Hans-" ],
[ lang="zh-CN" ],
[ lang^="zh-CN-" ],
.lnnblog-font-hans {
	--font-family-base: var(--font-family-hans);
	--font-family-serif: var(--font-family-dflt-serif);
	--font-family-monospace: var(--font-family-dflt-monospace);
	font-synthesis: initial;
}
[ lang$="-Qaac" ],
[ lang*="-Qaac-" ],
.lnnblog-font-qaac {
	--font-family-base: "LNNCrypt", var(--font-family-hans);
	font-synthesis: none;
}
[ lang$="-Qaaz" ],
[ lang*="-Qaaz-" ],
.lnnblog-font-qaaz {
	--font-family-base: "Zhunghua", var(--font-family-dflt);
	font-synthesis: none;
}
[ lang$="-Qaax" ],
[ lang*="-Qaax-" ],
[ lang="qdx" ],
[ lang^="qdx-" ],
[ lang="art-x-xdi8" ],
.lnnblog-font-qaax {
	--font-family-base: "XEGOEPUAall", "Segoe UI", "思源黑体 CN", -apple-system,
		"Roboto", "Microsoft YaHei UI", "微软雅黑", system-ui, sans-serif,
		var(--font-family-emoji);
	font-synthesis: weight;
}
.lnnblog-font-lnnpua {
	--font-family-base: "Unifont LNNPUA", var(--font-family-hans);
	font-synthesis: none;
}

html {
	font-size: 16px;
	text-autospace: normal;
	text-autospace: replace;
	text-spacing-trim: trim-start;
}
pre, code, samp, kbd, tt, textarea, .lnnblog-font-monospace {
	font-family: var(--font-family-monospace) !important;
	tab-size: 4;
	text-autospace: no-autospace;
	text-spacing-trim: space-all;
}
.lnnblog-font-sans-serif {
	font-family: var(--font-family-base) !important;
}
.lnnblog-font-serif {
	font-family: var(--font-family-serif) !important;
}
#bodyContent {
	font-size: unset;
	font-family: unset;
}

a.new {
	text-decoration-style: dotted;
	-webkit-text-decoration-style: dotted;
	background-color: rgba(255, 0, 0, 0.08);
}

/* 分类页字母标签 */
.mw-category .mw-category-group h3 {
	float: left;
	clear: left;
	margin: 0;
	padding: 0;
	font-size: 0.8em;
	line-height: 1.25;
	width: 1em;
	text-align: center;
	transform: translate(0, 0.125rem);
	border: .125rem solid transparent;
	border-right-width: .15em;
	border-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyIiBoZWlnaHQ9IjIiPjxwYXRoIGZpbGw9InJnYmEoMTI4LDEyOCwxMjgsLjI3KSIgZD0iTTAsMEgxTDIsMSwxLDJIMFoiLz48L3N2Zz4=)
		0 1 0 0 fill / 0.5em / 0.375em 0.625em;
}
.mw-category .mw-category-group ul {
	margin-left: 3em;
}
.client-js #mw-subcategories .mw-content-ltr ul {
	margin-left: 2em;
}

/* 按钮 */
.lnnblog-button-small {
	background: linear-gradient( #f0f0f0, #e0e0e0 );
	border-radius: 3px;
	border: 1px solid #c0c0c0;
	padding: 2px 5px;
}
.lnnblog-button-blue {
	display: inline-block;
	padding: 0.5rem 1rem;
	background: linear-gradient( #4060ff, #3040ff );
	color: white;
	border-radius: 3px;
	border: 2px solid #1c2880;
}
.lnnblog-button-white {
	display: inline-block;
	padding: 0.5rem 1rem;
	background: linear-gradient( #f0f0f0, #e0e0e0 );
	color: black;
	border-radius: 3px;
	border: 2px solid #c0c0c0;
}
.lnnblog-button-red {
	display: inline-block;
	padding: 0.5rem 1rem;
	background: linear-gradient( #ff6040, #ff4030 );
	color: white;
	border-radius: 3px;
	border: 2px solid #80281c;
}

/* 代码块 */
pre:not(.mw-highlight-lines *) {
	overflow-y: auto;
	max-height: 70vh;
}
td > pre:first-child:last-child,
td > .mw-code:first-child:last-child,
.lnnblog-box-body > pre:first-child:last-child,
.lnnblog-box-body > .mw-code:first-child:last-child,
.lnnblog-hidebox-body > pre:first-child:last-child,
.lnnblog-hidebox-body > .mw-code:first-child:last-child {
	margin: -0.2rem;
	border: none;
	border-radius: 0;
}

/* 引用 */
blockquote {
	border-left: 0.25rem solid gray;
	margin-left: 1rem;
	padding-left: 0.75rem;
}

@keyframes lnnblog-highlight {
	from {
		background-color: rgba(51, 191, 171, 0.75);
	}
}
:target {
	animation: lnnblog-highlight 5s ease-out;
}

/* Template:Documentation */
.lnnblog-documentation {
	background: rgba(48, 160, 144, 0.2);
	border: 1px solid #aaa;
	padding: 1rem;
}
.lnnblog-documentation-header {
	border-bottom: 1px solid #aaa;
	margin: 0.5rem 0 1rem;
}
.lnnblog-documentation-header-title {
	font-weight: bold;
	font-size: 1.25rem;
	display: inline;
	margin: 0;
}

/* Template:Info
 * 引自< https://zh.moegirl.org.cn/MediaWiki:Gadget-site-styles.css >,有改动
 * CC BY-NC-SA 3.0
 */
.infoBox {
	margin: 0 auto;
	width: 80%;
	border-left: 10px solid;
}
.infoBoxTitle {
	margin: 3px auto;
	text-align: center;
	font-weight: bold;
}
.infoBoxIcon {
	display: table-cell;
	padding: 2px 0 2px .5em;
	vertical-align: middle;
}
.infoBoxText {
	display: table-cell;
	padding: .25em .5em .25em 1.3em;
	width: 100%;
	vertical-align: middle;
}
.infoBoxContent {
	border: 1px solid rgba(128, 128, 128, 0.25);
	border-left-width: 0;
	background: rgba(128, 128, 128, 0.03);
}

/* Template:Box 和 Template:Hidebox */
.lnnblog-box,
.lnnblog-hidebox {
	display: inline-block;
	background: rgba(128, 128, 128, 0.05);
	border: 1px solid rgba(128, 128, 128, 0.67);
	max-width: 100%;
	overflow: hidden;
}
.lnnblog-box-heading,
.lnnblog-hidebox-heading {
	background: rgba(128, 128, 128, 0.06);
	padding: .2rem;
	font-weight: bold;
	text-align: center;
}
.lnnblog-box-body,
.lnnblog-hidebox-body {
	padding: .2rem;
	overflow-wrap: break-word;
}

.lnnblog-box-heading:not(empty) + .lnnblog-box-body,
.lnnblog-hidebox-body {
	border-top: 1px solid rgba(128, 128, 128, 0.65);
}

.lnnblog-hidebox-heading {
	cursor: pointer;
	list-style: none;
	position: relative;
	padding-left: 1.2rem;
}
.lnnblog-hidebox-heading::-webkit-details-marker { display: none }
.lnnblog-hidebox-heading::before {
	content: '';
	position: absolute;
	left: 0.4rem;
	top: 0;
	bottom: 0;
	height: 0;
	margin: auto;
	border: 0.3rem solid transparent;
	border-left-width: 0.5rem;
	border-left-color: currentColor;
	transform: rotate(0);
	transform-origin: 0.25rem 50%;
}
.lnnblog-hidebox[open] > .lnnblog-hidebox-heading::before {
	transform: rotate(90deg);
}
.lnnblog-hidebox[data-lnnblog-hidebox-state="expand"] > .lnnblog-hidebox-heading::before {
	animation: lnnblog-hidebox-expand 250ms;
}
.lnnblog-hidebox[data-lnnblog-hidebox-state="shrink"] > .lnnblog-hidebox-heading::before {
	transform: rotate(0);
	animation: lnnblog-hidebox-shrink 250ms;
}
@keyframes lnnblog-hidebox-expand {
	from { transform: rotate(0deg); }
	to { transform: rotate(90deg); }
}
@keyframes lnnblog-hidebox-shrink {
	from { transform: rotate(90deg); }
	to { transform: rotate(0deg); }
}

/* Template:Jk */
.lnnblog-jk {
	color: #808080;
	text-decoration: line-through;
	text-decoration-color: var(--color-base, black);
}

/* 信息模板 */
.lnnblog-infobox {
	background: rgba(128, 128, 128, 0.05);
	border: 1px solid rgba(128, 128, 128, 0.67);
	border-collapse: collapse;
}
@media (min-width: 720px) {
	.lnnblog-infobox {
		float: right;
		width: 300px;
		margin-left: 1.5rem;
		margin-bottom: 1.5rem;
	}
}
.lnnblog-infobox-titlebar {
	background: rgba(228, 228, 228, 0.33);
	color: black;
}
.lnnblog-infobox th,
.lnnblog-infobox td {
	text-align: center;
	padding: 1px;
}

/*
 * 工具类
 */
/* 外边距和响应式浮动 */
.lnnblog-margin {
	margin-top: .5rem !important;
	margin-bottom: .5rem !important;
}
.lnnblog-margin-lg {
	margin-top: 1.5rem !important;
	margin-bottom: 1.5rem !important;
}
.lnnblog-margin-top-0 {
	margin-top: 0 !important;
}
@media (min-width: 720px) {
	.lnnblog-float {
		float: right;
		max-width: 300px;
		margin-left: .5rem !important;
	}
	.wikitable.lnnblog-float {
		margin-left: 1rem !important;
	}
	.lnnblog-margin-lg.lnnblog-float {
		margin-left: 1.5rem !important;
	}
}

/* 清除浮动 */
.clear-both {
	clear: both;
}
.clearfix::after {
	content: "";
	display: block;
	clear: both;
}

/* 隐藏空元素hack */
.lnnblog-hide-empty:empty {
	display: none !important;
}

/* 首行缩进 */
p.lnnblog-first-line-indent:before,
.lnnblog-first-line-indent p:before {
	content: '\3000\3000';
}

/* 目录层数 Hack */
.lnnblog-toc-levels-1 .toclevel-1>ul,
.lnnblog-toc-levels-2 .toclevel-2>ul,
.lnnblog-toc-levels-3 .toclevel-3>ul,
.lnnblog-toc-levels-4 .toclevel-4>ul,
.lnnblog-toc-levels-5 .toclevel-5>ul {
	display: none;
}